Infrastructure - Story #2345

Filter Log records by authorized user subject
2012-02-15 18:06 - Robert Waltz

Status: Closed

Priority: Normal

Assignee: Robert Waltz

Category: d1_log_aggregation
Target version: Sprint-2012.11-Block.2.2

Story Points:

Start date: 2012-02-17
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

All public records are always returned, but for an authorized user also return records that are allowed via systemMetadata's

accessPolicy for the user.

If a log record refers to a PID that has a restricted accessPolicy(is not public), only return to authorized users who have permission to

read that object.

Subtasks:

Task # 2348: Analyze solr and design an approach that will work for logging and search Closed
Task # 2462: adding in listener to SystemMetadata for changing access rules Closed
Task # 2480: Pseudo Subject 'authenticatedUser' needs representation in logic Closed

Task # 2482: Pseudo Subject 'verifiedUser' needs representation in logic

Closed

History

#1 - 2012-02-24 18:01 - Robert Waltz

- Status changed from New to In Progress

#2 - 2012-02-27 18:17 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

#3 - 2012-03-16 02:39 - Dave Vieglais
- Position deleted (52)

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.11-Block.2.2

- Position set to 33

#4 - 2012-03-20 20:36 - Robert Waltz

- Status changed from In Progress to Closed
